summaryrefslogtreecommitdiff
path: root/dev-python
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2025-02-02 06:53:37 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2025-02-02 06:53:37 +0000
commit7a087ddfac581e676b408c25144e9ecd44a621df (patch)
tree181ec1b34421a5123f6a0bad4049b4ad22c81bfe /dev-python
parent36515f4f5624c41a6e4124501d25b56c6162b713 (diff)
downloadbaldeagleos-repo-7a087ddfac581e676b408c25144e9ecd44a621df.tar.gz
baldeagleos-repo-7a087ddfac581e676b408c25144e9ecd44a621df.tar.xz
baldeagleos-repo-7a087ddfac581e676b408c25144e9ecd44a621df.zip
Adding metadata
Diffstat (limited to 'dev-python')
-rw-r--r--dev-python/babel/Manifest2
-rw-r--r--dev-python/babel/babel-2.17.0.ebuild55
-rw-r--r--dev-python/fsspec/Manifest1
-rw-r--r--dev-python/fsspec/fsspec-2025.2.0.ebuild61
-rw-r--r--dev-python/hypothesis/Manifest1
-rw-r--r--dev-python/hypothesis/hypothesis-6.124.9.ebuild104
-rw-r--r--dev-python/inline-snapshot/Manifest1
-rw-r--r--dev-python/inline-snapshot/inline-snapshot-0.20.0.ebuild63
-rw-r--r--dev-python/pydevd/Manifest3
-rw-r--r--dev-python/pydevd/pydevd-3.1.0-r1.ebuild141
-rw-r--r--dev-python/pydevd/pydevd-3.3.0.ebuild (renamed from dev-python/pydevd/pydevd-3.2.2.ebuild)2
-rw-r--r--dev-python/pymdown-extensions/Manifest1
-rw-r--r--dev-python/pymdown-extensions/pymdown-extensions-10.14.3.ebuild37
-rw-r--r--dev-python/python-socks/Manifest1
-rw-r--r--dev-python/python-socks/python-socks-2.7.1.ebuild48
15 files changed, 377 insertions, 144 deletions
diff --git a/dev-python/babel/Manifest b/dev-python/babel/Manifest
index 2516de2e668a..3de743939d46 100644
--- a/dev-python/babel/Manifest
+++ b/dev-python/babel/Manifest
@@ -1,2 +1,4 @@
DIST babel-2.16.0.tar.gz 9348104 BLAKE2B e8b674312140dca805b3faf4531493d613b663d4a04aa42a86438d49dd547b598eec9e3c3ca79d715d1c1589f7d416073fcf7e58df468e7c449fa05c70e7b776 SHA512 c80b52cd38eb2fb34b1d19ef3b6c50c16b129a4137d42eba900e3f77e81a5ad03ca319aa37dbdfd3bb7cbe31adbfa6007413962c348912dc9dca09d55fa4438b
+DIST babel-2.17.0.tar.gz 9951852 BLAKE2B 619cf4163c99bbfc5bbadf2e2ccfca277752f4b5ac97fd5b9fcaf29a11493e625f07bf9a3c4e060eefb2308921597f0556fcce8d688c6aefee29b29f1003e1dd SHA512 978ca79e9ce95ecfcfc8e3c6fe1b9b273088cc166490e64edd59c71f6793472d987ea982a67e8cf9d840b8e25f602639ad45e3a35c1482d39cbf09e0c21071ae
DIST cldr-common-45.0.zip 31812363 BLAKE2B 031d08f2db4a6c75585488faf43196a912e348edc9ff582e9c507c8f1c8ae2cf7c86aaa8265a8fa60540c2b3f4844d0aa01dad516344195bd4d40926d65a48fc SHA512 638123882bd29911fc9492ec152926572fec48eb6c1f5dd706aee3e59cad8be4963a334bb7a09a645dbedc3356f60ef7ac2ef7ab4ccf2c8926b547782175603c
+DIST cldr-common-46.0.zip 34181233 BLAKE2B c54942576dc779ef07d62b791f67a9ca71f3ae4f6833cd3ce44b54ad94ec4a7e3b114f0d611fddf1f7238582180a1e701886f047c76d28070d1f2cfa74020d9d SHA512 316d644b79a4976d4da57d59ca57c689b339908fe61bb49110bfe1a9269c94144cb27322a0ea080398e6dc4c54a16752fd1ca837e14c054b3a6806b1ef9d3ec3
diff --git a/dev-python/babel/babel-2.17.0.ebuild b/dev-python/babel/babel-2.17.0.ebuild
new file mode 100644
index 000000000000..66438319a7ef
--- /dev/null
+++ b/dev-python/babel/babel-2.17.0.ebuild
@@ -0,0 +1,55 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{9,10,11,12,13} pypy3 )
+PYTHON_REQ_USE="threads(+)"
+
+inherit distutils-r1 pypi
+
+# see scripts/download_import_cldr.py
+CLDR_PV=46.0
+DESCRIPTION="Collection of tools for internationalizing Python applications"
+HOMEPAGE="
+ https://babel.pocoo.org/
+ https://pypi.org/project/babel/
+ https://github.com/python-babel/babel/
+"
+SRC_URI+="
+ https://unicode.org/Public/cldr/${CLDR_PV%.*}/cldr-common-${CLDR_PV}.zip
+"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~x64-macos"
+
+# RDEPEND in BDEPEND for import_cldr.py usage, bug #852158
+BDEPEND="
+ app-arch/unzip
+ ${RDEPEND}
+ test? (
+ dev-python/freezegun[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_sphinx docs
+distutils_enable_tests pytest
+
+src_prepare() {
+ rm babel/locale-data/*.dat || die
+ rm babel/global.dat || die
+ distutils-r1_src_prepare
+}
+
+python_configure() {
+ if [[ ! -f babel/global.dat ]]; then
+ "${EPYTHON}" scripts/import_cldr.py "${WORKDIR}"/common || die
+ fi
+}
+
+python_test() {
+ local -x TZ=UTC
+ epytest
+}
diff --git a/dev-python/fsspec/Manifest b/dev-python/fsspec/Manifest
index 6ff993aba195..6416487fc5e0 100644
--- a/dev-python/fsspec/Manifest
+++ b/dev-python/fsspec/Manifest
@@ -1 +1,2 @@
DIST filesystem_spec-2024.12.0.gh.tar.gz 421670 BLAKE2B f6e6f2b478f89c9fbad6822149dc9a2b868fd2fee6edfbd532471b23d49248360170323e9454cc803c4096e62d8957e4ecaf1062bce3cdce005b39af94fdf52c SHA512 9e506da2c81a603350ecea7745b98fa38727bd0f176dc587dd570cab0e27650cd77ac061dce190d6b6372bb5dc4d5a0f3beb59b831a11a1392e178e6c94ab872
+DIST filesystem_spec-2025.2.0.gh.tar.gz 422445 BLAKE2B 7a834edb2577cbb2ff75512f8c880113bd5809526aaafebddfbdc96e0b562fb5935e630a21958150d62370d13c41a73094d966ea84132c858c6d0e83e9150fc9 SHA512 193a0824eac8fc751ae7e81dfae65e0839060b491dcd538ab4ca0454ea60952b4b602fc1987bc4890595aa5751326745342f2c1359327d5d949c62bf198be04a
diff --git a/dev-python/fsspec/fsspec-2025.2.0.ebuild b/dev-python/fsspec/fsspec-2025.2.0.ebuild
new file mode 100644
index 000000000000..19ae6c5cecb1
--- /dev/null
+++ b/dev-python/fsspec/fsspec-2025.2.0.ebuild
@@ -0,0 +1,61 @@
+# Copyright 2020-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=hatchling
+PYTHON_COMPAT=( python3_{9,10,11,12,13} )
+
+inherit distutils-r1
+
+MY_P=filesystem_spec-${PV}
+DESCRIPTION="A specification that python filesystems should adhere to"
+HOMEPAGE="
+ https://github.com/fsspec/filesystem_spec/
+ https://pypi.org/project/fsspec/
+"
+# upstream removed tests in 2024.6.0
+SRC_URI="
+ https://github.com/fsspec/filesystem_spec/archive/${PV}.tar.gz
+ -> ${MY_P}.gh.tar.gz
+"
+S=${WORKDIR}/${MY_P}
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~riscv ~x86"
+
+BDEPEND="
+ dev-python/hatch-vcs[${PYTHON_USEDEP}]
+ test? (
+ dev-python/aiohttp[${PYTHON_USEDEP}]
+ dev-python/numpy[${PYTHON_USEDEP}]
+ dev-python/pytest-asyncio[${PYTHON_USEDEP}]
+ dev-python/pytest-mock[${PYTHON_USEDEP}]
+ dev-python/pytest-rerunfailures[${PYTHON_USEDEP}]
+ dev-python/requests[${PYTHON_USEDEP}]
+ dev-python/tqdm[${PYTHON_USEDEP}]
+ dev-vcs/git
+ )
+"
+
+# Note: this package is not xdist-friendly
+distutils_enable_tests pytest
+
+export SETUPTOOLS_SCM_PRETEND_VERSION=${PV}
+
+src_test() {
+ git config --global user.email "you@example.com" || die
+ git config --global user.name "Your Name" || die
+ distutils-r1_src_test
+}
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # Internet
+ fsspec/implementations/tests/test_reference.py::test_async_cat_file_ranges
+ )
+
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ epytest -p asyncio -p pytest_mock -o tmp_path_retention_policy=all
+}
diff --git a/dev-python/hypothesis/Manifest b/dev-python/hypothesis/Manifest
index ce9959d16b54..c896091f61bd 100644
--- a/dev-python/hypothesis/Manifest
+++ b/dev-python/hypothesis/Manifest
@@ -1,3 +1,4 @@
DIST hypothesis-6.123.17.gh.tar.gz 9508250 BLAKE2B 494c41299a646856050889e2093dae477386c76ac3e57576698178a65cfe4b3bb7a2cfe19204904ae0ca8d25cf8d347389c7eb76b7d8ac046067fc4b11bd509f SHA512 73f2c2cd1bb9063d74448cfba0f85308398b52fcb0cd948a64b6396f698b914154a93b7afdf2b3c32a902f21f6a84996218572af700c35c518d9a41bbe6cae8f
DIST hypothesis-6.124.3.gh.tar.gz 9510786 BLAKE2B d4104ce7cbe009ce1e0d2d6fa04db8d5dda2db08f8dcdaea90d4a111cbcf71db53214a5b06a69ca40715a0999970e45293aad754dcfbd06c1a6e4e04700aee83 SHA512 898567b6e32b619892292c07e95ca57f671e9fcc6925dd560285147491fba72df5fe5c41a3642d3910961ef569cbce8790ea1100359e674f08f5b24522073184
DIST hypothesis-6.124.7.gh.tar.gz 9507487 BLAKE2B d0160dedfd78443724a7388020fa093ba95e8621403f4fa69f04c324a5be8d49b51c3cae4cca488a86046818b6762a3f9703b1963186ae82daed2c8cdf0f8f70 SHA512 c9c699d830082ccfb056c42817592ad3736b3e1c2294bed889d9e581dc8d4b093a86a949b24e3fa842941daf18933c55c6a479cd6768c30cde0cecb94777a620
+DIST hypothesis-6.124.9.gh.tar.gz 9507981 BLAKE2B 469448e2c97b0a798293d53d2ae1ea328c61c94245245b989a33a3520a903dbb6a4a468192dc7837dfe75bde5d9a010ffb7d4b8f16c7c8462bab8da4f183f310 SHA512 0c0f48a88a748d4bf1fc0763b4e464166536d4d16461f06a2090a2f5f54464730fff8eb7892ff60584c2135853aab7a56253db83dfd90a8e679fa3f37d4fb6a9
diff --git a/dev-python/hypothesis/hypothesis-6.124.9.ebuild b/dev-python/hypothesis/hypothesis-6.124.9.ebuild
new file mode 100644
index 000000000000..b67bbcacc7ba
--- /dev/null
+++ b/dev-python/hypothesis/hypothesis-6.124.9.ebuild
@@ -0,0 +1,104 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+CLI_COMPAT=( pypy3 python3_{10..13} )
+PYTHON_COMPAT=( python3_{9,10,11,12,13} )
+PYTHON_REQ_USE="threads(+),sqlite"
+
+inherit distutils-r1 optfeature
+
+TAG=hypothesis-python-${PV}
+MY_P=hypothesis-${TAG}
+DESCRIPTION="A library for property based testing"
+HOMEPAGE="
+ https://github.com/HypothesisWorks/hypothesis/
+ https://pypi.org/project/hypothesis/
+"
+SRC_URI="
+ https://github.com/HypothesisWorks/hypothesis/archive/${TAG}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+S="${WORKDIR}/${MY_P}/hypothesis-python"
+
+LICENSE="MPL-2.0"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+IUSE="cli"
+
+RDEPEND="
+ >=dev-python/attrs-22.2.0[${PYTHON_USEDEP}]
+ >=dev-python/sortedcontainers-2.1.0[${PYTHON_USEDEP}]
+ $(python_gen_cond_dep '
+ >=dev-python/exceptiongroup-1.0.0_rc8[${PYTHON_USEDEP}]
+ ' 3.9 3.10)
+ cli? (
+ $(python_gen_cond_dep '
+ dev-python/black[${PYTHON_USEDEP}]
+ dev-python/click[${PYTHON_USEDEP}]
+ ' "${CLI_COMPAT[@]}")
+ )
+"
+BDEPEND="
+ test? (
+ dev-python/pexpect[${PYTHON_USEDEP}]
+ >=dev-python/pytest-8[${PYTHON_USEDEP}]
+ dev-python/pytest-rerunfailures[${PYTHON_USEDEP}]
+ dev-python/pytest-xdist[${PYTHON_USEDEP}]
+ )
+"
+
+EPYTEST_XDIST=1
+distutils_enable_tests pytest
+
+python_test() {
+ # subtests are broken by warnings from random plugins
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ local -x PYTEST_PLUGINS=xdist.plugin,_hypothesis_pytestplugin
+ local -x HYPOTHESIS_NO_PLUGINS=1
+
+ # NB: paths need to be relative to pytest.ini,
+ # i.e. start with hypothesis-python/
+ local EPYTEST_DESELECT=()
+ case ${EPYTHON} in
+ pypy3)
+ EPYTEST_DESELECT+=(
+ # failing due to warnings from numpy/cython
+ hypothesis-python/tests/pytest/test_fixtures.py::test_given_plus_overridden_fixture
+ )
+ ;;
+ esac
+
+ epytest -o filterwarnings= -p rerunfailures --reruns=5 \
+ tests/cover tests/pytest tests/quality
+}
+
+src_install() {
+ local HAD_CLI=
+
+ distutils-r1_src_install
+
+ if [[ ! ${HAD_CLI} ]]; then
+ rm -r "${ED}/usr/bin" || die
+ fi
+}
+
+python_install() {
+ distutils-r1_python_install
+ if use cli && has "${EPYTHON}" "${CLI_COMPAT[@]/_/.}"; then
+ HAD_CLI=1
+ else
+ rm -r "${D}$(python_get_scriptdir)" || die
+ fi
+}
+
+pkg_postinst() {
+ optfeature "datetime support" dev-python/pytz
+ optfeature "dateutil support" dev-python/python-dateutil
+ optfeature "numpy support" dev-python/numpy
+ optfeature "django support" dev-python/django dev-python/pytz
+ optfeature "pandas support" dev-python/pandas
+ optfeature "pytest support" dev-python/pytest
+}
diff --git a/dev-python/inline-snapshot/Manifest b/dev-python/inline-snapshot/Manifest
index dab0c005607a..7f1a2dc6b522 100644
--- a/dev-python/inline-snapshot/Manifest
+++ b/dev-python/inline-snapshot/Manifest
@@ -1 +1,2 @@
DIST inline_snapshot-0.19.3.tar.gz 88636 BLAKE2B 537e68eec4f7db9ddeb8cea1e93f872160129d8b7b51b3d693c0cebb94c2cf5652d57989ccb44b7a3f3157ffbe6322c032fce42594d94f8daf454f922accad0b SHA512 b1f3a0123a1f17ffb85cb296861e3558057d45a8a576d72b2dca1ad1ce3151d4354b6bf86f9e0fb21d941d7ee708fd33c3961fdd1c0bad4c7368b720388fcf85
+DIST inline_snapshot-0.20.0.tar.gz 89597 BLAKE2B 264020c3e3413e6e687d0ffb8c1659778782e065ef1fe7b4dc058fc547ddbba29302b653005543b6200a0bea948ae9d3eec5a981899aba65c1cba083fc41eea3 SHA512 d06243899c4a391bc27965d30db307fb14249797e83710773c392514fe82c8d199cd09a75d0b86374b59def2b9000bf636e27a15b76df0355fd464498f08f9ef
diff --git a/dev-python/inline-snapshot/inline-snapshot-0.20.0.ebuild b/dev-python/inline-snapshot/inline-snapshot-0.20.0.ebuild
new file mode 100644
index 000000000000..d2fabb0e8e2a
--- /dev/null
+++ b/dev-python/inline-snapshot/inline-snapshot-0.20.0.ebuild
@@ -0,0 +1,63 @@
+# Copyright 2024-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=hatchling
+PYTHON_COMPAT=( python3_{9,10,11,12,13} pypy3 )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Create and update inline snapshots in your Python tests"
+HOMEPAGE="
+ https://15r10nk.github.io/inline-snapshot/
+ https://github.com/15r10nk/inline-snapshot/
+ https://pypi.org/project/inline-snapshot/
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~loong ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+
+RDEPEND="
+ >=dev-python/asttokens-2.0.5[${PYTHON_USEDEP}]
+ >=dev-python/executing-2.2.0[${PYTHON_USEDEP}]
+ >=dev-python/rich-13.7.1[${PYTHON_USEDEP}]
+ $(python_gen_cond_dep '
+ >=dev-python/tomli-2.0.0[${PYTHON_USEDEP}]
+ ' 3.10)
+"
+BDEPEND="
+ test? (
+ dev-python/attrs[${PYTHON_USEDEP}]
+ >=dev-python/black-23.3.0[${PYTHON_USEDEP}]
+ >=dev-python/click-8.1.4[${PYTHON_USEDEP}]
+ >=dev-python/dirty-equals-0.7.0[${PYTHON_USEDEP}]
+ >=dev-python/hypothesis-6.75.5[${PYTHON_USEDEP}]
+ $(python_gen_cond_dep '
+ dev-python/mypy[${PYTHON_USEDEP}]
+ ' 'python*')
+ >=dev-python/pydantic-2[${PYTHON_USEDEP}]
+ >=dev-python/pytest-freezer-0.4.8[${PYTHON_USEDEP}]
+ >=dev-python/pytest-mock-3.14.0[${PYTHON_USEDEP}]
+ >=dev-python/pytest-subtests-0.11.0[${PYTHON_USEDEP}]
+ )
+"
+
+EPYTEST_XDIST=1
+distutils_enable_tests pytest
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # requires pyright
+ 'tests/test_typing.py::test_typing[pyright]'
+ # TODO
+ tests/test_formating.py::test_format_command_fail
+ )
+
+ local -x COLUMNS=80
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ local -x PYTEST_PLUGINS=inline_snapshot.pytest_plugin,pytest_freezer,pytest_subtests.plugin,xdist.plugin
+ local -x PYTHONPATH=${S}/src
+ epytest -p pytest_mock
+}
diff --git a/dev-python/pydevd/Manifest b/dev-python/pydevd/Manifest
index c0f3287b33f9..3d881a23dfb6 100644
--- a/dev-python/pydevd/Manifest
+++ b/dev-python/pydevd/Manifest
@@ -1,3 +1,2 @@
-DIST PyDev.Debugger-pydev_debugger_3_1_0.gh.tar.gz 4293466 BLAKE2B 2b820b44a37362dfe554f60f418ce6c94cfd9fb9b14b6d6f521e7bd2023f044129b440878a136d67249096ba8a4aa61bb465551c1d9930989ffe9fe40c68f464 SHA512 8afaab2a69cb6785c5453ce1034a70fa28ab33c3122c1e21c485d9023317785524144c76e87864a695fa1fd26b05bc6d828db22a7cbcf025bd8aafe0b9ed4d3b
-DIST PyDev.Debugger-pydev_debugger_3_2_2.gh.tar.gz 4283873 BLAKE2B 62c4a4a4677127ed7c3f0b2f63388169e01d620dd6bd986e4f24208379dcff77993d297e3647b395b6e6e262868b69533f63370c1975b8c582a52a80ce40f77d SHA512 0d2f73fbe4d3541ff3b0e24373165f92c44c28eced1ca00b618caff5f12ee579165ba16b3692d6d4d7840c36f75c5f064aabdd554bb00d39b3b896840dfdcda4
DIST PyDev.Debugger-pydev_debugger_3_2_3.gh.tar.gz 4288122 BLAKE2B 54d01508644d1a76f7cd51f1f4c6f5b7eeb5c56781b15ba6b0b0347d4a7ed18a8f357deb1a22efbadccf082df9ac673b5e101b66877ebeec98276428a5a32fce SHA512 8027b27803c4ddd2db489f4a8988756116f4712f112f7c91cc99ea2c9d9a78b4df1678abae138ce13d0b0c5c6481ec663cbf3f7d367e176e22d4e78f0782642b
+DIST PyDev.Debugger-pydev_debugger_3_3_0.gh.tar.gz 4283838 BLAKE2B c035f99e9e6988dd753fcb23aeb7aad53dedd290b60ee3bef89deebe784b7b951d119a8c4ff87ea9d83ffe8134680ab8db8296c298556c35daef89ec417b4664 SHA512 99bfb67470d9d200ba4a0de929c0c4ae053d836b7c6c034173e9d51a2428e98cc6052612ad11f8d66c375da0b7ab8f18b627441b174f71924e851f41f4bd5a21
diff --git a/dev-python/pydevd/pydevd-3.1.0-r1.ebuild b/dev-python/pydevd/pydevd-3.1.0-r1.ebuild
deleted file mode 100644
index ea090a641d32..000000000000
--- a/dev-python/pydevd/pydevd-3.1.0-r1.ebuild
+++ /dev/null
@@ -1,141 +0,0 @@
-# Copyright 1999-2024 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-DISTUTILS_EXT=1
-DISTUTILS_USE_PEP517=setuptools
-PYTHON_COMPAT=( python3_{9,10,11,12,13} )
-
-inherit distutils-r1 toolchain-funcs
-
-TAG="pydev_debugger_${PV//./_}"
-MY_P="PyDev.Debugger-${TAG}"
-DESCRIPTION="PyDev.Debugger (used in PyDev, PyCharm and VSCode Python)"
-HOMEPAGE="
- https://github.com/fabioz/PyDev.Debugger/
- https://pypi.org/project/pydevd/
-"
-SRC_URI="
- https://github.com/fabioz/PyDev.Debugger/archive/${TAG}.tar.gz
- -> ${MY_P}.gh.tar.gz
-"
-S=${WORKDIR}/${MY_P}
-
-LICENSE="EPL-1.0"
-SLOT="0"
-KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
-
-RDEPEND="
- dev-debug/gdb
-"
-BDEPEND="
- test? (
- dev-python/untangle[${PYTHON_USEDEP}]
- dev-python/numpy[${PYTHON_USEDEP}]
- dev-python/psutil[${PYTHON_USEDEP}]
- dev-python/pytest-rerunfailures[${PYTHON_USEDEP}]
- )
-"
-
-EPYTEST_XDIST=1
-distutils_enable_tests pytest
-
-python_prepare_all() {
- distutils-r1_python_prepare_all
-
- # Drop -O3 and -flto compiler args
- # Make extension build failures fatal
- sed -i \
- -e 's/extra_link_args = extra_compile_args\[\:\]/pass/g' \
- -e '/extra_compile_args/d' \
- -e '/except/a\ raise' \
- setup.py || die
-
- # Disable tests incompatible with new package versions
- sed -e '/TEST_\(DJANGO\|FLASK\)/s:True:False:' \
- -i tests_python/debug_constants.py || die
-
- # Clean up some prebuilt files
- rm -r third_party || die
- cd pydevd_attach_to_process || die
-
- # Remove these Windows files
- rm attach_{amd64,x86}.dll || die
- rm inject_dll_{amd64,x86}.exe || die
- rm run_code_on_dllmain_{amd64,x86}.dll || die
- rm -r windows winappdbg || die
-
- # Remove these MacOS files
- rm attach_x86_64.dylib || die
-
- # Remove these prebuilt linux files
- rm attach_linux_{amd64,x86}.so || die
-
- cd linux_and_mac || die
- rm compile_mac.sh || die
-}
-
-src_compile() {
- pushd pydevd_attach_to_process/linux_and_mac || die
- # recompile removed file (extracted from compile_linux.sh)
- $(tc-getBUILD_CXX) ${CXXFLAGS} ${CPPFLAGS} \
- -o "../attach_linux_${ARCH}.so" \
- ${LDFLAGS} -nostartfiles attach.cpp -ldl || die
- popd || die
-
- distutils-r1_src_compile
-
- # C extensions
- rm -r _pydevd* || die
-}
-
-python_test() {
- local EPYTEST_DESELECT=(
- # TODO
- # NB: upstream seems to run tests via runfiles.py but that script
- # is a horror and it seems broken for us anyway
- tests_python/test_debugger.py::test_attach_to_pid_halted
- tests_python/test_debugger.py::test_attach_to_pid_no_threads
- 'tests_python/test_debugger.py::test_path_translation[False]'
- tests_python/test_debugger_json.py::test_attach_to_pid
- tests_python/test_debugger_json.py::test_evaluate_exception_trace
- tests_python/test_debugger_json.py::test_gui_event_loop_custom
- tests_python/test_debugger_json.py::test_path_translation_and_source_reference
- tests_python/test_utilities.py::test_tracing_basic
- tests_python/test_utilities.py::test_tracing_other_threads
- # incompatible with xdist
- tests_python/test_utilities.py::test_find_main_thread_id
- tests_python/test_utilities.py::test_is_main_thread
- # numpy-2?
- tests_python/test_debugger_json.py::test_evaluate_numpy
- )
-
- case ${EPYTHON} in
- python3.11)
- EPYTEST_DESELECT+=(
- tests_python/test_debugger.py::test_frame_eval_limitations
- tests_python/test_debugger.py::test_remote_debugger_threads
- )
- ;;
- python3.12)
- EPYTEST_DESELECT+=(
- # flaky
- tests_python/test_debugger_json.py::test_step_next_step_in_multi_threads
- )
- ;;
- esac
-
- local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
- # this is only used to compare against getpid() to detect that xdist
- # is being used
- local -x PYDEV_MAIN_PID=1
- epytest -p rerunfailures --reruns=5
-}
-
-python_install_all() {
- distutils-r1_python_install_all
- # Remove this duplicate that is installed directly to /usr/
- # These files are also correctly installed to the python site-packages dir
- rm -r "${ED}/usr/pydevd_attach_to_process" || die
-}
diff --git a/dev-python/pydevd/pydevd-3.2.2.ebuild b/dev-python/pydevd/pydevd-3.3.0.ebuild
index 3f3975402989..1958763e5208 100644
--- a/dev-python/pydevd/pydevd-3.2.2.ebuild
+++ b/dev-python/pydevd/pydevd-3.3.0.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2024 Gentoo Authors
+# Copyright 1999-2025 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
diff --git a/dev-python/pymdown-extensions/Manifest b/dev-python/pymdown-extensions/Manifest
index 1233ce777691..3e57fd3c8653 100644
--- a/dev-python/pymdown-extensions/Manifest
+++ b/dev-python/pymdown-extensions/Manifest
@@ -1,2 +1,3 @@
DIST pymdown_extensions-10.13.tar.gz 843302 BLAKE2B 7d4196d32abaa16b6f21ae8a5c4a651d8cc59f0eaa94f9822d0d8344b1b032cc43933ed47ec8cec05f1cb8bdfdacbeb4efb33fdb0a4215688a4fef11b5804dcb SHA512 663c22e11d06411de597febb8eb97291182f86c343e791993bbd26be475c4812b497af896620765f6af7759048e6c502420de8e79ce761deb8ad058bcd9dc830
DIST pymdown_extensions-10.14.2.tar.gz 846777 BLAKE2B 042f58bb2cea45e2eda604336e6a135db6b770c4acdf6f6223097ff1b9936b166889ba243169f731da52112550fac7e042f88fe981480bc61a2f9a3fbbb3f3ba SHA512 c2df8977bdcc85ae118e5dc3127d97bcca376a8d575b6f588be4e3d8a10f5090fddef3ab5bcc4fbe58dc4729b76375231ef112fad39564ec89d542c08842f52f
+DIST pymdown_extensions-10.14.3.tar.gz 846846 BLAKE2B d18df810826bbc1f4628390abf1075f56778bc8cd70883df3bcef935b526b0cb3d8be9fd3fe733701c8610715ad4b5b153f7fdd77f46eb600f85d4b6de8365eb SHA512 38fca498c304b21902041ed670363a2b3d8e03761d8b6881432046e8859880480f728a6eaaf55f1912e6957686b82b0eca5268db1669918558372d75bde879f2
diff --git a/dev-python/pymdown-extensions/pymdown-extensions-10.14.3.ebuild b/dev-python/pymdown-extensions/pymdown-extensions-10.14.3.ebuild
new file mode 100644
index 000000000000..026c59c7ba0f
--- /dev/null
+++ b/dev-python/pymdown-extensions/pymdown-extensions-10.14.3.ebuild
@@ -0,0 +1,37 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=hatchling
+PYTHON_COMPAT=( python3_{9,10,11,12,13} pypy3 )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Extensions for Python Markdown"
+HOMEPAGE="
+ https://github.com/facelessuser/pymdown-extensions/
+ https://pypi.org/project/pymdown-extensions/
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~x86"
+
+RDEPEND="
+ >=dev-python/markdown-3.6[${PYTHON_USEDEP}]
+ dev-python/pyyaml[${PYTHON_USEDEP}]
+"
+
+BDEPEND="
+ test? (
+ >=dev-python/pygments-2.19.1[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+python_test() {
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ epytest
+}
diff --git a/dev-python/python-socks/Manifest b/dev-python/python-socks/Manifest
index 1387ac995cc0..d4923175ce77 100644
--- a/dev-python/python-socks/Manifest
+++ b/dev-python/python-socks/Manifest
@@ -1,2 +1,3 @@
DIST python-socks-2.6.1.gh.tar.gz 32352 BLAKE2B 0bfc85bdeb6aefab34d307a6956171fad8b0876f49959bfc91193c864ba8ed7d05a1efb4f052202d99984aad7bb9bfc8472e2853d57b5812156dec6ee791a04e SHA512 2e046849a66125ddb14f887f84354e56f689034695a48532cbd4d4a1ef9508212c30e34faeb3b318ceede32a0604d62f92ca92cfe14b63c54a42fd5c1cfafbc0
DIST python-socks-2.7.0.gh.tar.gz 32361 BLAKE2B 603e9782ee2998825bbcff012e1eeba7e404f13112544c6db97e5baf31ac79cb9339d98642c20a56fc5a1ef7da4a60687e663770ec0c145015648c07f99c341d SHA512 0244a6111ba37341e06210422af1df5946edd0e87616647aa2bbaf0cb82c363db3489eeddbd2111cbb76a126b5d629a2426776316b7ea68a17d3aa4fea2901f1
+DIST python-socks-2.7.1.gh.tar.gz 32377 BLAKE2B c6d6422c54cd1ab7d53d85e073d62ed51b31daff8eda820c30083e517229ed5a230147c469e241a879fdef3ff50b4642ff769439c2e4ca92d8bb00737bd31e17 SHA512 93e42db6b08e8742897cf704b5d5b33f8873439f32118caa5e65bdca6b89be145814466fdb5ea559a8f1f517f228524597567ba9d2ad83df9f805d9fd3311f9b
diff --git a/dev-python/python-socks/python-socks-2.7.1.ebuild b/dev-python/python-socks/python-socks-2.7.1.ebuild
new file mode 100644
index 000000000000..e36054ed6825
--- /dev/null
+++ b/dev-python/python-socks/python-socks-2.7.1.ebuild
@@ -0,0 +1,48 @@
+# Copyright 2020-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{9,10,11,12,13} pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="SOCKS4, SOCKS5, HTTP tunneling functionality for Python"
+HOMEPAGE="
+ https://github.com/romis2012/python-socks/
+ https://pypi.org/project/python-socks/
+"
+SRC_URI="
+ https://github.com/romis2012/python-socks/archive/v${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~loong ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+
+# curio is not packaged
+# asyncio is the only backend we have, so dep on its deps unconditionally
+# TODO: revisit
+RDEPEND="
+ $(python_gen_cond_dep '
+ >=dev-python/async-timeout-4.0[${PYTHON_USEDEP}]
+ ' 3.10)
+"
+BDEPEND="
+ test? (
+ >=dev-python/anyio-3.4.0[${PYTHON_USEDEP}]
+ >=dev-python/async-timeout-3.0.1[${PYTHON_USEDEP}]
+ >=dev-python/flask-1.1.2[${PYTHON_USEDEP}]
+ >=dev-python/pytest-asyncio-0.18.3[${PYTHON_USEDEP}]
+ >=dev-python/pytest-trio-0.7.0[${PYTHON_USEDEP}]
+ >=dev-python/tiny-proxy-0.1.1[${PYTHON_USEDEP}]
+ >=dev-python/trio-0.24[${PYTHON_USEDEP}]
+ >=dev-python/trustme-0.9.0[${PYTHON_USEDEP}]
+ >=dev-python/yarl-1.4.2[${PYTHON_USEDEP}]
+ )
+"
+
+# Test markers exist to exclude trio etc if needed
+distutils_enable_tests pytest